"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = createPlugin;

var _options = require("./options");

var _options2 = _interopRequireDefault(_options);

var _changes = require("./changes");

var _changes2 = _interopRequireDefault(_changes);

var _renderMark = require("./renderMark");

var _renderMark2 = _interopRequireDefault(_renderMark);

var _utils = require("./utils");

var _utils2 = _interopRequireDefault(_utils);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function createPlugin(pluginOptions) {
  var opt = _options2.default.create(pluginOptions);
  var changes = (0, _changes2.default)(opt);
  var renderMark = (0, _renderMark2.default)(opt);
  var utils = (0, _utils2.default)(opt);
  return { changes: changes, utils: utils, renderMark: renderMark };
}